classification
Title: Documentation for unittest.main does not describe some keyword arguments.
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, ezio.melotti, jfinkels, michael.foord, python-dev
Priority: normal Keywords: patch

Created on 2012-04-12 05:26 by jfinkels, last changed 2012-04-30 16:12 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue14558.diff ezio.melotti, 2012-04-29 08:28 Patch against 2.7.
Messages (5)
msg158104 - (view) Author: Jeffrey Finkelstein (jfinkels) * Date: 2012-04-12 05:26
Documentation for unittest.main, at <http://docs.python.org/dev/library/unittest.html#unittest.main>, does not describe the keyword arguments 'module', 'argv', or 'testLoader'.
msg159587 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-04-29 08:28
Here's a patch.
msg159702 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2012-04-30 16:01
A good change - thanks Ezio.
msg159703 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-30 16:11
New changeset 55b2258c1c7c by Ezio Melotti in branch '2.7':
#14558: document the module, argv, and testLoader args of unittest.main.
http://hg.python.org/cpython/rev/55b2258c1c7c

New changeset 06046a6943a7 by Ezio Melotti in branch '3.2':
#14558: document the module, argv, and testLoader args of unittest.main.
http://hg.python.org/cpython/rev/06046a6943a7

New changeset 6e541ed4e987 by Ezio Melotti in branch 'default':
#14558: merge with 3.2.
http://hg.python.org/cpython/rev/6e541ed4e987
msg159704 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-04-30 16:12
Fixed, thanks for the review!
History
Date User Action Args
2012-04-30 16:12:06ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg159704

stage: commit review -> resolved
2012-04-30 16:11:22python-devsetnosy: + python-dev
messages: + msg159703
2012-04-30 16:01:23michael.foordsetmessages: + msg159702
2012-04-29 08:28:13ezio.melottisetfiles: + issue14558.diff
messages: + msg159587

assignee: docs@python -> ezio.melotti
keywords: + patch
stage: needs patch -> commit review
2012-04-12 05:52:49ezio.melottisetnosy: + ezio.melotti, michael.foord
stage: needs patch

versions: - Python 2.6, Python 3.1, Python 3.4
2012-04-12 05:26:14jfinkelscreate